# Class SpacedUpdate

- Defined in src/services/spaced_update.ts:3

##### Index

### Constructors

constructor

### Methods

allowUpdateWithoutChange
isAllSavedAndTriggerUpdate
scheduleUpdate
triggerUpdate
updateNowIfNecessary

## Constructors

### constructor

- new SpacedUpdate(updater: Updater , updateInterval?: number): SpacedUpdate

  #### Parameters

  - updater: Updater
  - updateInterval: number = 1000

  #### Returns SpacedUpdate

  - Defined in src/services/spaced_update.ts:10

## Methods

### allowUpdateWithoutChange

- allowUpdateWithoutChange(callback: () => void): Promise<void>

  #### Parameters

  - callback: () => void

  #### Returns Promise<void>

  - Defined in src/services/spaced_update.ts:62

### isAllSavedAndTriggerUpdate

- isAllSavedAndTriggerUpdate(): boolean

  #### Returns boolean

  - Defined in src/services/spaced_update.ts:39

### scheduleUpdate

- scheduleUpdate(): void

  #### Returns void

  - Defined in src/services/spaced_update.ts:18

### triggerUpdate

- triggerUpdate(): void

  #### Returns void

  - Defined in src/services/spaced_update.ts:47

### updateNowIfNecessary

- updateNowIfNecessary(): Promise<void>

  #### Returns Promise<void>

  - Defined in src/services/spaced_update.ts:25